HTTP APIEndpoints
Submit runtime progress or result
POST
Requires the executor credential and current connection/call identity. Stale, duplicate and unsolicited results fail.
bearerheader
AuthorizationBearer <token>id*stringOpaque executor ID.
Match
^[a-fA-F0-9]{32}$application/json- body
call_id*stringconnection*stringprogress?unknownresult?Submit runtime progress or result
application/json- response
status*stringcurl -X POST 'http://127.0.0.1:8080/executors/string/responses' \ -H 'Authorization: Bearer <BRAIN_TOKEN>' \ -H 'Content-Type: application/json' \ -d '{ "call_id": "string", "connection": "string"}'{ "status": "string"}